[![Quality Status](https://github.com/Vonage/vivid/workflows/Compile%20&%20Test/badge.svg)](https://github.com/Vonage/vivid/actions?query=workflow%3A%22Compile+%26+Test%22)
[![Coverage Status](https://coveralls.io/repos/github/Vonage/vivid/badge.svg?t=v9CrbP)](https://coveralls.io/github/Vonage/vivid)

[![Compile & Test Sanity](https://github.com/Vonage/vivid/actions/workflows/compile-test-sanity.yml/badge.svg)](https://github.com/Vonage/vivid/actions/workflows/compile-test-sanity.yml)

# Meet VIVID,

### Vonage's design system

###### Vivid provides components and tools to help product teams work more efficiently, deliver faster and safer, while providing end-users single Vonage unique look & feel.

![Meed Vivid](docs/assets/images/meet-vivid.svg)

Vivid delivers a Design System built along Vonage's branding guidelines - all this by providing a ready-to-use web components and services.

Striving to stick to the best practices and most up to date standards, Vivid's goal is to provide high quality, easy to use, well-maintained and well documented UI platform for all Vonage products.

---

### Documentation

For your convenience, we've organized all our documentation under the following topics.

#### Introductory

- [Getting started](docs/getting-started.md)
- [Architecture](docs/architecture.md)
- [Roadmap](docs/roadmap.md)
- [Contact us](docs/contact-us.md)

#### Guides

- [Installation](docs/installation.md)
- [Contribution](docs/contribution.md)

#### Browsers support matrix

We are continuously running our tests on 3 major browsers in accordance to [browserslist](https://github.com/browserslist/browserslist) query to match Chrome, FireFox and Safari last 2 versions.
The below matrix reflects a thorough verified browsers / versions.
There are a good chances that any Chromium based browser is supported as well.

| ![Chrome](https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png) | ![Firefox](https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png) | ![Edge](https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png) | ![Safari](https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png) |
| --------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| 87+ ✔                                                                                               | 83+ ✔                                                                                                  | 88+ ✔                                                                                         | 13+ ✔                                                                                               |

> Attention! This is an initial matrix we've tested so far. While any greater versions are supported for sure, we are working on getting this 'waterline' even lower.
